<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_memcache', language 'th', branch 'MOODLE_32_STABLE'
 *
 * @package   cachestore_memcache
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['clustered'] = 'เปิดใช้งานเซิร์ฟเวอร์คลัสเตอร์';
$string['clusteredheader'] = 'เซิร์ฟเวอร์ Split';
$string['clustered_help'] = 'นี้จะใช้เพื่อช่วยให้อ่านอย่างหนึ่งตั้งหลายฟังก์ชั่น กรณีการใช้งานที่ตั้งใจไว้คือการสร้างร้านค้าที่ดีขึ้นสำหรับการกำหนดค่าโหลดสมดุล ทางร้านจะดึงข้อมูลจากเซิร์ฟเวอร์หนึ่ง (ปกติ localhost) แต่ตั้งหลาย (เซิร์ฟเวอร์ทั้งหมดที่อยู่ในสระว่ายน้ำโหลดสมดุล) สำหรับแคชกับการอ่านสูงมากในการตั้งค่าอัตราส่วนนี้จะบันทึกจำนวนมากของค่าใช้จ่ายในเครือข่าย

เมื่อการตั้งค่านี้ถูกเปิดใช้งาน เซิร์ฟเวอร์ดังกล่าวข้างต้นจะใช้สำหรับการเรียก';
$string['pluginname'] = 'Memcache';
$string['prefix'] = 'คำนำหน้าสำคัญ';
$string['prefix_help'] = 'คำนำหน้านี้จะใช้สำหรับชื่อคีย์ทั้งหมดบนเซิร์ฟเวอร์ memcache

* หากคุณมีเพียงตัวอย่างหนึ่ง Totara ใช้เซิร์ฟเวอร์นี้คุณสามารถออกจากค่าเริ่มต้นนี้

* เนื่องจากข้อ จำกัด ของความยาวของคีย์ได้สูงสุด 5 ตัวอักษรจะได้รับอนุญาต';
$string['prefixinvalid'] = 'คำนำหน้าไม่ถูกต้อง คุณสามารถใช้ AZ AZ 0-9-_';
$string['servers'] = 'เซิร์ฟเวอร์ต่างๆ';
$string['serversclusterinvalid'] = 'ว่าเซิร์ฟเวอร์หนึ่งถูกต้องเมื่อมีการเปิดใช้การจัดกลุ่ม';
$string['servers_help'] = 'ชุดนี้เซิร์ฟเวอร์ที่ควรจะใช้อะแดปเตอร์ memcache นี้

เซิร์ฟเวอร์ควรจะกำหนดต่อหนึ่งบรรทัดและประกอบด้วยที่อยู่ของเซิร์ฟเวอร์และเลือกพอร์ตและน้ำหนัก

ถ้าไม่มีพอร์ตให้บริการแล้วพอร์ตเริ่มต้น (11211) ถูกนำมาใช้

ตัวอย่างเช่น:
<pre>
server.url.com
IPADDRESS: Port
servername: Port: น้ำหนัก </pre>

หากเปิดใช้งานเซิร์ฟเวอร์ *
คลัสเตอร์ถูกเปิดใช้งานดังต่อไปนี้จะต้องมีเพียงหนึ่งเซิร์ฟเวอร์ไว้ที่นี่ ซึ่งมักจะเป็นชื่อที่มักจะหายไปภายในเครื่องเช่น 127.0.0.1 หรือ localhost';
$string['sessionhandlerconflict'] = 'คำเตือน: เช่น memcache ({$a}) ได้ถูกกำหนดค่าให้ใช้เซิร์ฟเวอร์ memcached เดียวกันกับการประชุม การกวาดล้างแคชทั้งหมดจะนำไปสู่การประชุมยังมีการล้าง';
$string['setservers'] = 'เซิร์ฟเวอร์ชุด';
$string['setservers_help'] = 'นี่คือรายการของเซิร์ฟเวอร์ที่จะปรับปรุงเมื่อมีการแก้ไขข้อมูลในแคช โดยทั่วไปชื่อเต็มของแต่ละเซิร์ฟเวอร์ในกลุ่ม

มันต้อง รวมถึงเซิร์ฟเวอร์ที่ระบุไว้ในเซิร์ฟเวอร์ข้างต้น แม้ว่าโดยชื่อโฮสต์ที่แตกต่างกัน

เซิร์ฟเวอร์ควรจะกำหนดต่อหนึ่งบรรทัดและประกอบด้วยที่อยู่ของเซิร์ฟเวอร์และเลือกพอร์ต ถ้าไม่มีพอร์ตให้บริการแล้วพอร์ตเริ่มต้น (11211) ถูกนำมาใช้

ตัวอย่างเช่น:
<pre>
server.url.com
IPADDRESS: Port
</pre>';
$string['testservers'] = 'เซิร์ฟเวอร์ทดสอบ';
$string['testservers_desc'] = 'เซิร์ฟเวอร์ทดสอบได้รับใช้สำหรับการทดสอบหน่วยและสำหรับการทดสอบประสิทธิภาพการทำงาน มันเป็นตัวเลือกทั้งหมดในการตั้งค่าเซิร์ฟเวอร์ทดสอบ เซิร์ฟเวอร์ควรจะกำหนดต่อหนึ่งบรรทัดและประกอบด้วยอยู่ของเซิร์ฟเวอร์และเลือกที่พอร์ตและน้ำหนัก ถ้าพอร์ตไม่ให้แล้วพอร์ตเริ่มต้น (11211) ถูกนำมาใช้';
